Subject: 23.0.60; emacsclient from inferior shell gives *ERROR*: Terminal type "dumb" is not powerful enough to run Emacs

From: Eric Hanchrow <[email-masked]>
Date: Tue, 04 Nov 2008 20:15:25 -0800

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

$ cd /usr/local/src/emacs-via-git/src/
$ ./emacs -nw -Q
M-x server-start RET
M-x shell RET
$ /usr/local/src/emacs-via-git/lib-srs/emacsclient /etc/passwd RET

I see *ERROR*: Terminal type "dumb" is not powerful enough to run Emacs

I expected to see a new window open displaying a buffer that was visiting /etc/passwd

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs-via-git/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-11-03 on debian
configured using `configure  '--enable-maintainer-mode' '--with-xpm=yes' '--with-jpeg=no' '--with-gif=no' '--with-tiff=no' '--with-xft' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: ERC

Minor modes in effect:
  display-battery-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-netsplit-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  flyspell-mode: t
  erc-autojoin-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-readonly-mode: t
  desktop-save-mode: t
  recentf-mode: t
  display-time-mode: t
  global-auto-revert-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
a p h i c s SPC f r a m e C-e ; SPC a n d SPC y e s 
, SPC D I S P A DEL L Y A C-t SPC i s SPC i n d e e 
d SPC s e t RET C-x o ESC p C-a ( u n s e t SPC D I 
S P L A Y ; SPC C-e ) RET C-x o C-x o C-p C-p ESC C-@ 
ESC w C-x o C-y SPC - > SPC s a m e SPC e r o r r DEL 
DEL DEL r o r RET w o r k e d SPC r e c e n t l y RET 
i . . e DEL DEL e . , SPC i n SPC a SPC b u i l d C-c 
C-u c o n s TAB s u r e , SPC i t SPC j u s t SPC h 
a s SPC " x " SPC w h e r e SPC t h e SPC C-c C-u s 
u r e ! RET I SPC c a n ' t SPC s e e SPC h o w SPC 
T E R M SPC i s SPC r e l e a n DEL DEL v a n t SPC 
i f SPC I ' m SPC c o n n e c t i n g SPC t o SPC a 
SPC r u n n i n g SPC ESC b C-b n SPC a l r e a d y 
\ DEL - ESC \ C-e e m a c s RET ESC x r e p o r t - 
e m a c s - b TAB RET

Recent messages:
Mark set [2 times]
GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.9) of 2008-11-03 on debian
Mark set
Partially completed
History item: 1 [2 times]
will browse netscape-style, using firefox as the exe
Note: file is write protected
When done with a buffer, type C-x #
History item: 1
Mark set [2 times]

-- 

 ハ  ハ
ミ＾･＾ﾐ
 ｀~~~´